package com.chinacreator.process.dao;

import java.sql.SQLException;
import org.springframework.stereotype.Component;
import com.chinacreator.process.bean.MirrorBean;
import com.chinacreator.process.util.DataSource;
import com.frameworkset.common.poolman.SQLExecutor;

@Component
public class KafkaDao {

	public void save(MirrorBean bean) throws SQLException{
		String sql = "insert into TL_KAFKA_MONITOR(PARTTION,lastOffset,TIME,topic) values(#[parttion],#[lastOffset],to_date(#[time],'yyyymmddhh24miss'),#[topic])";
		SQLExecutor.insertBean(DataSource.NET3G, sql, bean);
	}
}
